"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppApiEvent = exports.AppApi = void 0;
const Channel_1 = require("./Channel");
const BaseApi_1 = require("./BaseApi");
var AppApiEvent;
(function (AppApiEvent) {
    AppApiEvent["CONFIG_CHANGED"] = "event::cn.widgetjs.core.app.config.changed";
})(AppApiEvent || (AppApiEvent = {}));
exports.AppApiEvent = AppApiEvent;
class AppApiImpl extends BaseApi_1.BaseApi {
    async getIconFile() {
        return this.invokeMethod('getIconFile');
    }
    getChannel() {
        return Channel_1.Channel.APP;
    }
    async setConfig(key, value) {
        return await this.invokeMethod('setConfig', key, value);
    }
    async getConfig(key, defaultValue) {
        const value = await this.invokeMethod("getConfig", key);
        if (value === null || value === undefined) {
            return defaultValue;
        }
        if (typeof defaultValue == "boolean") {
            return value === "true";
        }
        if (typeof defaultValue == "number") {
            return Number(value);
        }
        return value;
    }
    async openAddWidgetWindow() {
        return this.invokeMethod('openAddWidgetWindow');
    }
    /**
     * 获取应用版本号，格式为 x.y.z
     */
    async getVersion() {
        return this.invokeMethod('getVersion');
    }
    async getPreloadPath() {
        return this.invokeMethod('getPreloadPath');
    }
    async openSettingWindow() {
        return this.invokeMethod('openSettingWindow');
    }
}
const AppApi = new AppApiImpl();
exports.AppApi = AppApi;
