"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostedWidgetApi = exports.HostedWidgetApiImpl = void 0;
const Channel_1 = require("./Channel");
const BaseApi_1 = require("./BaseApi");
class HostedWidgetApiImpl extends BaseApi_1.BaseApi {
    getChannel() {
        return Channel_1.Channel.HOSTED_WIDGET;
    }
    /**
     * 移除组件
     * @param id
     */
    async removeHostedWidget(id) {
        return this.invokeMethod('removeHostedWidget', id);
    }
    addWidget(widgetName, hostMode) {
        return this.invokeMethod('addWidget', widgetName, hostMode);
    }
    /**
     * 通过组件名移除已添加的组件
     * @param name  组件名
     */
    async removeHostedWidgetByName(name) {
        return this.invokeMethod('removeHostedWidgetByName', name);
    }
    /**
     * 获取已添加的组件
     * @param name  组件名，可以不传
     */
    async getHostedWidgets(name) {
        return this.invokeMethod('getHostedWidgets', name);
    }
    async getHostedWidget(id) {
        return this.invokeMethod('getHostedWidget', id);
    }
    /**
     * Opens the dev tools for a widget with the specified ID.
     *
     * @param {string} widgetId - The ID of the widget to open the dev tools for.
     * @return {Promise} A Promise that resolves when the dev tools are opened.
     */
    async openDevTools(widgetId) {
        return this.invokeMethod('openDevTools', widgetId);
    }
    async openConfigRoute(widgetId, params) {
        return this.invokeMethod('openConfigRoute', widgetId, params);
    }
    /**
     * 注册激活、呼出、置顶组件快捷键
     * @param widgetId  组件id
     * @param shortcut  如果传空或者不传，则会取消快捷键。更多快捷键配置，请查看Accelerator用法
     *                  https://www.electronjs.org/docs/latest/api/accelerator
     */
    async registerActiveShortcut(widgetId, shortcut) {
        return this.invokeMethod('registerActiveShortcut', widgetId, shortcut);
    }
    async setProxy(widgetId, proxy) {
        return this.invokeMethod('setProxy', widgetId, proxy);
    }
}
exports.HostedWidgetApiImpl = HostedWidgetApiImpl;
const HostedWidgetApi = new HostedWidgetApiImpl();
exports.HostedWidgetApi = HostedWidgetApi;
