"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoreApi = void 0;
const BaseApi_1 = require("./BaseApi");
const Channel_1 = require("./Channel");
class StoreApiImpl extends BaseApi_1.BaseApi {
    getChannel() {
        return Channel_1.Channel.STORE;
    }
    async delete(key) {
        return this.invokeMethod('delete', key);
    }
    async get(key) {
        return this.invokeMethod('get', key);
    }
    async getObject(key, defaultValue) {
        const result = await this.invokeMethod('get', key);
        if (result) {
            return JSON.parse(result);
        }
        if (defaultValue) {
            return defaultValue;
        }
        return undefined;
    }
    async set(key, value) {
        if (typeof value == 'object') {
            return this.invokeMethod('set', key, JSON.stringify(value));
        }
        return this.invokeMethod('set', key, value);
    }
}
const StoreApi = new StoreApiImpl();
exports.StoreApi = StoreApi;
