"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElectronUtils = void 0;
class ElectronUtils {
    static hasElectronApi() {
        return this.getAPI() != null;
    }
    /**
     * 获取ElectronAPI
     * windows api
     */
    static getAPI() {
        if (Reflect.has(window, "electronAPI")) {
            //@ts-ignore
            return window.electronAPI;
        }
        else if (Reflect.has(window.parent, "electronAPI")) {
            //@ts-ignore
            return window.parent.electronAPI;
        }
        return null;
    }
    static async invokeMethod(channel, method, ...args) {
        var _a;
        return (_a = this.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(channel, method, ...args);
    }
    static async invoke(channel, ...args) {
        var _a;
        return (_a = this.getAPI()) === null || _a === void 0 ? void 0 : _a.invoke(channel, ...args);
    }
}
exports.ElectronUtils = ElectronUtils;
