import { BroadcastEvent } from "../model/event/BroadcastEvent";
import { BaseApi } from "./BaseApi";
import { WidgetApiEvent } from "./WidgetApi";
import { ShortcutApiEvent } from "./ShortcutApi";
import { ClipboardApiEvent } from "./ClipboardApi";
import { BrowserWindowApiEvent } from "./BrowserWindowApi";
type BroadcastEventType = WidgetApiEvent | BrowserWindowApiEvent | ShortcutApiEvent | ClipboardApiEvent | string;
interface IBroadcastApi {
    send(event: BroadcastEvent): Promise<void>;
    register(...event: BroadcastEventType[]): Promise<void>;
    unregister(...event: BroadcastEventType[]): Promise<void>;
}
type BroadcastApiMethods = keyof IBroadcastApi;
export declare class BroadcastApiImpl extends BaseApi<BroadcastApiMethods> implements IBroadcastApi {
    send(event: BroadcastEvent): Promise<void>;
    register(...event: BroadcastEventType[]): Promise<void>;
    unregister(...event: BroadcastEventType[]): Promise<void>;
    getChannel(): string;
}
declare const BroadcastApi: IBroadcastApi;
export { BroadcastApi, BroadcastApiMethods, BroadcastEventType };
