import { BaseApi } from "./BaseApi";
import { Point } from "../model/msic/graphics";
interface IDeviceApi {
    getCursorScreenPoint(): Promise<Point>;
    isAllKeyReleased(): Promise<boolean>;
}
type DeviceApiMethods = keyof IDeviceApi;
export declare class DeviceApiImpl extends BaseApi<DeviceApiMethods> implements IDeviceApi {
    /**
     * 获取当前鼠标位置
     */
    getCursorScreenPoint(): Promise<Point>;
    /**
     * 判断是否所有按键都已经释放
     */
    isAllKeyReleased(): Promise<boolean>;
    getChannel(): string;
}
declare const DeviceApi: IDeviceApi;
export { DeviceApi, DeviceApiMethods };
