type BaseType = string | number | boolean;
interface IStoreApi {
    get<T extends BaseType>(key: string): Promise<T | null>;
    set(key: string, value: BaseType | object): Promise<string>;
    getObject<T>(key: string, defaultValue?: T): Promise<T | undefined>;
    delete(key: string): Promise<void>;
}
type StoreApiMethods = keyof IStoreApi;
declare const StoreApi: IStoreApi;
export { StoreApi, StoreApiMethods };
