export type NotificationType = "countdown" | "advance-countdown" | "error" | "success" | "warning" | "info" | "reminder" | "url" | "call";
export declare enum NotificationSize {
    SMALL = "small",
    NORMAL = "normal",
    LARGE = "large"
}
export interface NotificationOption {
    type?: NotificationType;
    title?: string;
    message: string;
    targetTime?: string;
    duration?: number;
    /**
     * 图片名，目前只支持mingcute图标。
     * https://www.mingcute.com/
     */
    icon?: string;
    color?: string;
    confirmButtonText?: string;
    cancelButtonText?: string;
    cancelBroadcast?: string;
    confirmBroadcast?: string;
    size?: NotificationSize;
    url?: string;
    avatar?: string;
    audio?: string;
    lyric?: string;
    backgroundColor?: string;
}
export declare class AppNotification {
    type: NotificationType;
    message: string;
    title?: string;
    targetTime?: string;
    duration: number;
    icon?: string;
    color?: string;
    backgroundColor?: string;
    confirmButtonText?: string;
    cancelButtonText?: string;
    cancelBroadcast?: string;
    confirmBroadcast?: string;
    size: NotificationSize;
    url?: string;
    avatar?: string;
    audio?: string;
    lyric?: string;
    createdAt: string;
    constructor(option: NotificationOption);
}
